success=OK
error400=Invalid Input
error500=The request is temporarily interrupted. Please try again later.
error404=Resource Not Found
error405=Method Not Allowed
error409=Resource Conflict
error403=Resource Forbidden
error999=The system is temporarily interrupted. Please try again later.
# authentication
authentication.error400=Invalid Input. Please sign-in again.
authentication.error401=Unauthorized. Please sign-in.
authentication.error1002=Username/password is invalid. Please sign-in again.
NotNull.authForm.username=Username is required.
NotBlank.authForm.username=Username is required.
NotNull.authForm.password=Password is required.
NotBlank.authForm.password=Password is required.
NotNull.authForm.captcha=Captcha is required.
NotBlank.authForm.captcha=Captcha is required.
# transfer errors
transfer.error5007=The Debit account does not exist. Please check again
transfer.error5008=The Credit account does not exist. Please check again

NotNull.internalTransferForm.debitAcctNo=The debit account CANNOT be null
NotBlank.internalTransferForm.debitAcctNo=The debit account CANNOT be blank
NotNull.internalTransferForm.creditAcctNo=The beneficiary account CANNOT be null
NotBlank.internalTransferForm.creditAcctNo=The beneficiary account CANNOT be blank
NotNull.internalTransferForm.amount=The amount of money CANNOT be null
Digits.internalTransferForm.amount=The amount of money is NOT in the correct format. Please check again
NotNull.internalTransferForm.transactionCode=The transaction code CANNOT be null
NotBlank.internalTransferForm.transactionCode=The transaction code CANNOT be blank
NotNull.internalTransferForm.otp=OTP code CANNOT be null
Length.internalTransferForm.note=Transfer content is not allowed to exceed {1} characters
Pattern.internalTransferForm.note=Transfer content contains invalid characters
Min.internalTransferForm.amount=The amount must be start from {1}
AccountEqualFields.internalTransferForm.creditAcctNo=The transfer account and the receiving account cannot be the same

NotNull.internalTransferConfirmForm.debitAcctNo=The debit account CANNOT be null
NotBlank.internalTransferConfirmForm.debitAcctNo=The debit account CANNOT be blank
NotNull.internalTransferConfirmForm.creditAcctNo=The beneficiary account CANNOT be null
NotBlank.internalTransferConfirmForm.creditAcctNo=The beneficiary account CANNOT be blank
NotNull.internalTransferConfirmForm.amount=The amount of money CANNOT be null
Digits.internalTransferConfirmForm.amount=The amount of money is NOT in the correct format. Please check again
Length.internalTransferConfirmForm.note=Transfer content is not allowed to exceed {1} characters
Pattern.internalTransferConfirmForm.note=Transfer content contains invalid characters
Min.internalTransferConfirmForm.amount=The amount must be start from {1}
AccountEqualFields.internalTransferConfirmForm.creditAcctNo=The transfer account and the receiving account cannot be the same

NotNull.generateOTPForm.debitAcctNo=The debit account CANNOT be null
NotBlank.generateOTPForm.debitAcctNo=The debit account CANNOT be blank
NotNull.generateOTPForm.creditAcctNo=The beneficiary account CANNOT be null
NotBlank.generateOTPForm.creditAcctNo=The beneficiary account CANNOT be blank
NotNull.generateOTPForm.amount=The amount of money CANNOT be null
NotBlank.generateOTPForm.amount=The amount of money CANNOT be blank
Digits.generateOTPForm.amount=The amount of money is NOT in the correct format. Please check again
AccountEqualFields.generateOTPForm.creditAcctNo=The transfer account and the receiving account cannot be the same

error.matchField=The transfer account and the receiving account cannot be the same

NotNull.quickExternalConfirmForm.debitAcctNo=The debit account CANNOT be null
Length.quickExternalConfirmForm.debitAcctNo=The debit account length must be between {2} and {1}
NotNull.quickExternalConfirmForm.debitAcctName=The debit account name CANNOT be null
Length.quickExternalConfirmForm.debitAcctName=The debit account name length must be between {2} and {1}
NotNull.quickExternalConfirmForm.creditAcctNo=The beneficiary account CANNOT be null
Length.quickExternalConfirmForm.creditAcctNo=The beneficiary account length must be between {2} and {1}
NotNull.quickExternalConfirmForm.creditAcctName=The beneficiary account name CANNOT be null
Length.quickExternalConfirmForm.creditAcctName=The beneficiary account name length must be between {2} and {1}
NotNull.quickExternalConfirmForm.type=The transfer type CANNOT be null
EnumNamePattern.quickExternalConfirmForm.type=The transfer type is invalid.
NotNullWith.quickExternalConfirmForm.bankCode=The bank code CANNOT be null
NotNull.quickExternalConfirmForm.amount=The transfer amount CANNOT be null
Digits.quickExternalConfirmForm.amount=The transfer amount is invalid
Min.quickExternalConfirmForm.amount=The transfer amount is invalid
Length.quickExternalConfirmForm.note=The note length less than {1} character
Pattern.quickExternalConfirmForm.note=The note character is invalid

NotNull.quickExternalForm.debitAcctNo=The debit account CANNOT be null
Length.quickExternalForm.debitAcctNo=The debit account length must be between {2} and {1}
NotNull.quickExternalForm.debitAcctName=The debit account name CANNOT be null
Length.quickExternalForm.debitAcctName=The debit account name length must be between {2} and {1}
NotNull.quickExternalForm.creditAcctNo=The beneficiary account CANNOT be null
Length.quickExternalForm.creditAcctNo=The beneficiary account length must be between {2} and {1}
NotNull.quickExternalForm.creditAcctName=The beneficiary account name CANNOT be null
Length.quickExternalForm.creditAcctName=The beneficiary account name length must be between {2} and {1}
NotNull.quickExternalForm.type=The transfer type CANNOT be null
EnumNamePattern.quickExternalForm.type=The transfer type is invalid.
NotNullWith.quickExternalForm.bankCode=The bank code CANNOT be null
NotNull.quickExternalForm.amount=The transfer amount CANNOT be null
Digits.quickExternalForm.amount=The transfer amount is invalid
Min.quickExternalForm.amount=The transfer amount is invalid
Length.quickExternalForm.note=The note length less than {1} character
Pattern.quickExternalForm.note=The note character is invalid

Length.beneficiaryUpdateForm.nickName=The nick name length must be {1} maximum
Pattern.beneficiaryUpdateForm.nickName=The nick name is invalid
EnumNamePattern.beneficiaryUpdateForm.type=The transfer type is invalid
NotNull.beneficiaryUpdateForm.type=The transfer type CANNOT be null
NotNull.beneficiaryUpdateForm.accountName=The beneficiary name CANNOT be null
NotBlank.beneficiaryUpdateForm.accountName=The beneficiary name CANNOT be blank
Pattern.beneficiaryUpdateForm.accountName=The beneficiary name name is invalid
Pattern.beneficiaryUpdateForm.accountNo=The beneficiary account no is invalid
NotNull.beneficiaryUpdateForm.accType=Acc type CANNOT be null
EnumNamePattern.beneficiaryUpdateForm.accType=Acc type is invalid
Pattern.beneficiaryUpdateForm.cardNo=Card number is invalid
CheckCardOrAccount.beneficiaryUpdateForm.accountNo=Account number CANNOT be null
CheckCardOrAccount.beneficiaryUpdateForm.cardNo=Card number CANNOT be null
CheckCardOrAccount.beneficiaryUpdateForm.accType=Please enter card number or account number only

Length.beneficiaryCreateForm.nickName=The nick name length must be {1} maximum
Pattern.beneficiaryCreateForm.nickName=The nick name is invalid
EnumNamePattern.beneficiaryCreateForm.type=The transfer type is invalid
NotNull.beneficiaryCreateForm.type=The transfer type CANNOT be null
NotNull.beneficiaryCreateForm.accountName=The beneficiary name CANNOT be null
NotBlank.beneficiaryCreateForm.accountName=The beneficiary name CANNOT be blank
Pattern.beneficiaryCreateForm.accountName=The beneficiary name name is invalid
Pattern.beneficiaryCreateForm.accountNo=The beneficiary account no is invalid
Pattern.beneficiaryCreateForm.cardNo=Card number is invalid
CheckCardOrAccount.beneficiaryCreateForm.accountNo=Account number CANNOT be null
CheckCardOrAccount.beneficiaryCreateForm.cardNo=Card number CANNOT be null
CheckCardOrAccount.beneficiaryCreateForm.type=Please enter card number or account number only

NotNull.otpMethodForm.msgId=The msg id CANNOT be null
NotBlank.otpMethodForm.msgId=The msg id CANNOT be null
NotNull.otpMethodForm.otp=The otp code CANNOT be null
NotBlank.otpMethodForm.otp=The otp code CANNOT be null
EnumNamePattern.otpMethodForm.newOtpMethod=The new OTP method is invalid

NotNull.externalConfirmForm.debitAcctNo=Debit account CANNOT be empty
Length.externalConfirmForm.debitAcctNo=The debit account length must be between {2} and {1}
NotNull.externalConfirmForm.bankCode=Credit bank code CANNOT be null
Length.externalConfirmForm.bankCode=Credit bank code length must between {2} and {1} characters
NotNull.externalConfirmForm.creditAcctNo=The beneficiary account CANNOT be null
Length.externalConfirmForm.creditAcctNo=The beneficiary account length must be between {2} and {1} characters
NotNull.externalConfirmForm.creditAcctName=The beneficiary account name CANNOT be null
Length.externalConfirmForm.creditAcctName=The beneficiary account name length must be between {2} and {1}
NotNull.externalConfirmForm.amount=The amount of money CANNOT be empty
Digits.externalConfirmForm.amount=Transfer amount exceeds limit
Min.externalConfirmForm.amount=Amount is invalid
NotNull.externalConfirmForm.duty=Duty is invalid
EnumNamePattern.externalConfirmForm.duty=Wrong Duty format
Length.externalConfirmForm.note=The note length less than {1} character
Pattern.externalConfirmForm.note=The note character is invalid

NotNull.externalForm.transactionCode=Transaction code CANNOT be null
NotBlank.externalForm.transactionCode=Transaction code CANNOT be null
NotNull.externalForm.debitAcctNo=Debit account CANNOT be empty
Length.externalForm.debitAcctNo=The debit account length must be between {2} and {1}
NotNull.externalForm.bankCode=Credit bank code CANNOT be null
Length.externalForm.bankCode=Credit bank code length must between {2} and {1} characters
NotNull.externalForm.creditAcctNo=The beneficiary account CANNOT be null
Length.externalForm.creditAcctNo=The beneficiary account length must be between {2} and {1} characters
NotNull.externalForm.creditAcctName=The beneficiary account name CANNOT be null
Length.externalForm.creditAcctName=The beneficiary account name length must be between {2} and {1}
NotNull.externalForm.amount=The amount of money CANNOT be empty
Digits.externalForm.amount=Transfer amount exceeds limit
Min.externalForm.amount=Amount is invalid
NotNull.externalForm.duty=Duty is invalid
EnumNamePattern.externalForm.duty=Wrong Duty format
Length.externalForm.note=The note length less than {1} character
Pattern.externalForm.note=The note character is invalid
NotNull.externalForm.otp=OTP CANNOT be null
NotBlank.externalForm.otp=OTP CANNOT be null

# channel
AccountEqualFields.changePasswordForm.newPwd=The new password is the same as the old password
Pattern.changePasswordForm.newPwd=The new password is not in the correct format
NotNull.changePasswordForm.newPwd=The new password is required
NotBlank.changePasswordForm.newPwd=The new password is required
NotNull.changePasswordForm.oldPwd=The old password is required
NotBlank.changePasswordForm.oldPwd=The old password is required
NotNull.changePasswordForm.otpCode=The otp code is required
NotBlank.changePasswordForm.otpCode=The otp code is required
NotNull.changePasswordForm.msgId=The message id is required
NotBlank.changePasswordForm.msgId=The message id is required
NotNull.settingOTPForm.otpCodeType=The otp code type is required
NotBlank.settingOTPForm.otpCodeType=The otp code type is required

beneficiary.error5500=Error! Please do it again.
beneficiary.error5501=Beneficiary information exist
beneficiary.error5502=Beneficiary bank code does not exist
beneficiary.error5503=Beneficiary account existed
beneficiary.error5055=Beneficiary not found
beneficiary.error5504=Service code is invalid
beneficiary.error5505=Provider code is invalid
beneficiary.error5506=Service code does not exist
beneficiary.error5507=Provider code does not exist
beneficiary.error5508=Bill beneficiary already existed
beneficiary.error5509=Bill beneficiary does not exist

EnumNamePattern.billBeneficiaryCreateForm.type=Bill beneficiary type is incorrect
NotBlank.billBeneficiaryCreateForm.billNo={1} is required
NotNull.billBeneficiaryCreateForm.billNo={1} is required
Pattern.billBeneficiaryCreateForm.memName=Reminiscent name is incorrect
NotBlank.billBeneficiaryUpdateForm.oldBillNo=Old {1} is required
NotNull.billBeneficiaryUpdateForm.oldBillNo=Old {1} is required
EnumNamePattern.billBeneficiaryUpdateForm.type=Bill beneficiary type is incorrect
NotNull.billBeneficiaryUpdateForm.newBillNo=New {1} is required
NotBlank.billBeneficiaryUpdateForm.newBillNo=New {1} is required
Pattern.billBeneficiaryUpdateForm.memName=Reminiscent name is incorrect

statistics.error6100=Invalid user
statistics.error6101=Invalid date range for statement

getRecentTransactions.limit=Limit number is invalid

search.error6102=Please select a statement period within the last 3 months up to the present time.

error400.default=Invalid input
